public class TypecastAnalysis {
    public static void main(String args[]){

        int x = 10;
        double y = x;
        System.out.println("For the first code, the output is:"+y);

        //double a = 10.0;
        //int b = a;
        //System.out.println(b);
        System.out.println("For the second code, the output is: Type mismatch: cannot convert from double to int at TypecastAnalysis.main(TypecastAnalysis.java:11)");
        
        double c = 10.0;
        int d = (int) c;
        System.out.println("For the third code, the output is: "+d);
    }    
}
